summaryrefslogtreecommitdiffstats
path: root/development/jdk12/jdk12.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/jdk12/jdk12.SlackBuild')
-rw-r--r--development/jdk12/jdk12.SlackBuild9
1 files changed, 4 insertions, 5 deletions
diff --git a/development/jdk12/jdk12.SlackBuild b/development/jdk12/jdk12.SlackBuild
index e63ce2d459..697308a566 100644
--- a/development/jdk12/jdk12.SlackBuild
+++ b/development/jdk12/jdk12.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for jdk12
-# Copyright 2019 Igor Alexandrov <igor.s.alexandrov@gmail.com>
+# Copyright 2019, 2020 Igor Alexandrov <igor.alexandrov@outlook.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -35,6 +35,8 @@ if [ -z "$ARCH" ]; then
esac
fi
+set -e
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -44,11 +46,9 @@ if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
echo "$ARCH port is not supported"
- exit -1
+ exit 1
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $OUTPUT \
$PKG/{install,etc/profile.d,usr/{lib${LIBDIRSUFFIX},doc/$PRGNAM-$VERSION}}
@@ -102,4 +102,3 @@ chmod 755 etc/profile.d/*
cat $CWD/slack-desc > install/slack-desc
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-